<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/ResourceManifest/Resources/Image[@id='IMAGE_SCENE_MAPWORLDVIEW_BURST']" />
  <xsl:template match="/ResourceManifest/Resources/Image[@id='IMAGE_SCENE_MAPWORLDVIEW_BG']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/ResourceManifest/Resources/Image[@id='IMAGE_SCENE_MAPWORLDVIEW_BG']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="id">IMAGE_SCENE_MAPWORLDVIEW_BGBURST</xsl:attribute>
      <xsl:attribute name="path">res/levels/MapWorldView/bgburst</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
</xsl:transform>
