<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@name='bg_hills_bleeding']" />
  <xsl:template match="/scene/SceneLayer[@name='sky_pissyellowstripes']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@name='sky_pissyellowstripes']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="name">bg</xsl:attribute>
      <xsl:attribute name="x">-1.97</xsl:attribute>
      <xsl:attribute name="y">586.21</xsl:attribute>
      <xsl:attribute name="scalex">5.241</xsl:attribute>
      <xsl:attribute name="scaley">3.877</xsl:attribute>
      <xsl:attribute name="image">IMAGE_SCENE_IMPALESTICKY_BG</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
</xsl:transform>
