<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/scene/particles[@effect='worldMap_FactorySmokeWhite']" />
  <xsl:template match="/scene/SceneLayer[@name='globe_shadow']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@name='globe_shadow']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="scalex">1.331</xsl:attribute>
      <xsl:attribute name="scaley">1.331</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@name='burst']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@name='burst']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="name">bgburst</xsl:attribute>
      <xsl:attribute name="x">-156.07</xsl:attribute>
      <xsl:attribute name="y">298.43</xsl:attribute>
      <xsl:attribute name="scalex">2.953</xsl:attribute>
      <xsl:attribute name="scaley">2.953</xsl:attribute>
      <xsl:attribute name="rotation">-14.16</xsl:attribute>
      <xsl:attribute name="alpha">1</xsl:attribute>
      <xsl:attribute name="image">IMAGE_SCENE_MAPWORLDVIEW_BGBURST</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@name='bg']" />
</xsl:transform>
