<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@name='junktile']" />
  <xsl:template match="/scene/SceneLayer[@name='DistantBuildings1']" />
  <xsl:template match="/scene/SceneLayer[@name='DistantBuildings2']" />
  <xsl:template match="/scene/SceneLayer[@name='haze']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@name='haze']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="name">hazeAndBuildings</xsl:attribute>
      <xsl:attribute name="depth">-1440</xsl:attribute>
      <xsl:attribute name="x">-295.02</xsl:attribute>
      <xsl:attribute name="y">227.25</xsl:attribute>
      <xsl:attribute name="scalex">2.006</xsl:attribute>
      <xsl:attribute name="scaley">2.119</xsl:attribute>
      <xsl:attribute name="image">IMAGE_SCENE_WOGC_HAZEANDBUILDINGS</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
</xsl:transform>
